#pragma once

#include <GL/glew.h>
#include <stb_image.h>
#include "math.h"

struct Texture {
  u32 id = 0;
  int width = 0;
  int height = 0;
  int bit_depth = 0;
  char *file_path = nullptr;

  ~Texture();
};

bool load_texture(Texture *texture);
void use_texture(Texture *texture);
void clear_texture(Texture *texture);
